[> Documentation-Index](index.md)

# smartClientCore - Error Codes

If an error occurs while trying to load and serve an ad, the add-on will replace the `[ERRORCODE]` macro within VAST `<Error>` URLs.


## Table of contents
- [Default Codes](#default-codes)
- [Custom Codes](#custom-codes)
  
## Default Codes
See **[IAB VAST 4.0] Error Codes Table**.

## Custom Codes
**310** - Mixed Content: The ad request has been blocked and must be served over HTTPS.


[IAB VAST 4.0]: https://www.iab.com/guidelines/digital-video-ad-serving-template-vast-4-0
